RoutesMcp serversServerslugCredentialsProfile
/mcp-servers/{serverSlug}/credentials/profile
Get the credentials of an MCP server which are scoped to the profile given in the profileId query parameter. Secret values are not included
AuthorizationBearer <token>
In: header
Path Parameters
serverSlug*string
Length
1 <= lengthQuery Parameters
profileId*string
Response Body
application/json
curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/credentials/profile?profileId=string"{
"credentials": {
"id": "string",
"tenantId": "string",
"scope": "server",
"userId": "string",
"profileId": "string",
"lastUsedAt": "string",
"authorizedAt": "string",
"type": "oauth",
"createdAt": "string",
"updatedAt": "string",
"serverSlug": "string",
"userEmail": "string",
"userName": "string",
"profileName": "string",
"apikeysPresent": [
"string"
],
"subject": "string",
"email": "string"
}
}